org.apache.ignite.internal.client.monitoring

## Class EventListenerDemultiplexer

- java.lang.Object
- - org.apache.ignite.internal.client.monitoring.EventListenerDemultiplexer

    public class EventListenerDemultiplexer
    extends Object

Routes events to listeners, specified in the client configuration.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EventListenerDemultiplexer` `create(ClientConfiguration cfg)` Creates an event listener demultiplexer.
`void` `onConnectionClosed(ConnectionDescription conn, Throwable throwable)`
`void` `onHandshakeFail(ConnectionDescription conn, long elapsedTimeNanos, Throwable throwable)`
`void` `onHandshakeStart(ConnectionDescription conn)`
`void` `onHandshakeSuccess(ConnectionDescription conn, long elapsedTimeNanos)`
`void` `onRequestFail(ConnectionDescription conn, long requestId, short opCode, String opName, long elapsedTimeNanos, Throwable throwable)`
`void` `onRequestStart(ConnectionDescription conn, long requestId, short opCode, String opName)`
`void` `onRequestSuccess(ConnectionDescription conn, long requestId, short opCode, String opName, long elapsedTimeNanos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static EventListenerDemultiplexer create(ClientConfiguration cfg)

Creates an event listener demultiplexer.

Parameters:
  `cfg` - Client configuration.

#### onRequestStart

    public void onRequestStart(ConnectionDescription conn,
                               long requestId,
                               short opCode,
                               String opName)

Parameters:
  `conn` - Connection description.
  `requestId` - Request id.
  `opCode` - Operation code.
  `opName` - Operation name.

#### onRequestSuccess

    public void onRequestSuccess(ConnectionDescription conn,
                                 long requestId,
                                 short opCode,
                                 String opName,
                                 long elapsedTimeNanos)

Parameters:
  `conn` - Connection description.
  `requestId` - Request id.
  `opCode` - Operation code.
  `opName` - Operation name.
  `elapsedTimeNanos` - Elapsed time in nanoseconds.

#### onRequestFail

    public void onRequestFail(ConnectionDescription conn,
                              long requestId,
                              short opCode,
                              String opName,
                              long elapsedTimeNanos,
                              Throwable throwable)

Parameters:
  `conn` - Connection description.
  `requestId` - Request id.
  `opCode` - Operation code.
  `opName` - Operation name.
  `elapsedTimeNanos` - Elapsed time in nanoseconds.
  `throwable` - Throwable that caused the failure.

#### onHandshakeStart

    public void onHandshakeStart(ConnectionDescription conn)

Parameters:
  `conn` - Connection description.

#### onHandshakeSuccess

    public void onHandshakeSuccess(ConnectionDescription conn,
                                   long elapsedTimeNanos)

Parameters:
  `conn` - Connection description.
  `elapsedTimeNanos` - Elapsed time in nanoseconds.

#### onHandshakeFail

    public void onHandshakeFail(ConnectionDescription conn,
                                long elapsedTimeNanos,
                                Throwable throwable)

Parameters:
  `conn` - Connection description.
  `elapsedTimeNanos` - Elapsed time in nanoseconds.
  `throwable` - Throwable that caused the failure.

#### onConnectionClosed

    public void onConnectionClosed(ConnectionDescription conn,
                                   Throwable throwable)

Parameters:
  `conn` - Connection description.
  `throwable` - Throwable that caused the failure if any.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023